play.cache

## Annotation Type CacheFor

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface CacheFor

Cache an action's result.

If a time is not specified, the results will be cached for 1 hour by default.

Example: `@CacheFor("1h")`

### Optional Element Summary

Optional Elements
`java.lang.Class<? extends CacheKeyGenerator>` `generator`
`java.lang.String` `id`
`java.lang.String` `value`

### Element Detail

#### value

    public abstract java.lang.String value

Default:
  "1h"

#### id

    public abstract java.lang.String id

Default:
  ""

#### generator

    public abstract java.lang.Class<? extends CacheKeyGenerator> generator

Default:
  play.cache.DefaultCacheKeyGenerator.class